package lv.lu.owljgraph.vertex;

import javax.swing.SwingConstants;

import lv.lu.owljgraph.OWLGraphConstants;

import org.jgraph.graph.AttributeMap;
import org.jgraph.graph.CellViewRenderer;

public class OWLNoteView extends OWLVertexView {

    private static final long serialVersionUID = -8383090779287478861L;

    protected static final OWLNoteRenderer RENDERER = new OWLNoteRenderer();

    public OWLNoteView(Object v) {
        super(v);
        AttributeMap style = getAttributes();
        OWLGraphConstants.setVerticalAlignment(style, SwingConstants.TOP);
        OWLGraphConstants.setVerticalTextPosition(style, SwingConstants.TOP);
    }

    public CellViewRenderer getRenderer() {
        return RENDERER;
    }

}