package lv.lu.protege.owl2uml.ui.checkbox;

import java.util.HashSet;
import java.util.Set;

import lv.lu.owljgraph.edge.OWLDisjointWithEdge;
import lv.lu.owljgraph.vertex.OWLNoteCell;
import lv.lu.protege.owl2uml.OWL2UML;
import lv.lu.protege.owl2uml.helper.OWLNoteHelper;

public class CommentsCheckbox extends OWLCheckBox {
    
    private static final long serialVersionUID = 6022192939468027824L;

    public CommentsCheckbox(OWL2UML parent) {
        super("Comments", parent);
    }
    
    public void doAction(Boolean visible) {
        Set<Object> comments = new HashSet<Object>();
        // TODO Remove this dirty hack
        for (OWLNoteCell note: OWLNoteHelper.getShownNotes()) {
            if (!OWLDisjointWithEdge.SIGNATURE.equals(note.getUserObject())) {
                comments.add(note);
            }
        }
        doAction(comments.toArray(), visible);
    }

    protected void doAdditionalAction(Boolean visible) {}

}