package lv.lu.protege.owl2uml.ui.checkbox;

import lv.lu.protege.owl2uml.OWL2UML;
import lv.lu.protege.owl2uml.helper.OWLEdgeHelper;

public class GeneralizationsCheckbox extends OWLCheckBox {
    
    private static final long serialVersionUID = -981296676458995376L;

    public GeneralizationsCheckbox(OWL2UML parent) {
        super("Generalizations", parent);
    }
    
    
    public void doAction(Boolean visible) {
        doAction(OWLEdgeHelper.getShownGeneralizations().toArray(), visible);
    }

    protected void doAdditionalAction(Boolean visible) {
        if (visible) {
            parent.getObjectPropertiesCheckbox().doAction();
        }
    }

}