package lv.lu.protege.owl2uml.ui.checkbox;

import lv.lu.protege.owl2uml.OWL2UML;
import lv.lu.protege.owl2uml.helper.OWLObjectPropertyHelper;

public class ObjectPropertiesCheckbox extends OWLCheckBox {
    
    private static final long serialVersionUID = 6022192939468027824L;

    public ObjectPropertiesCheckbox(OWL2UML parent) {
        super("Object properties", parent);
    }
    
    public void doAction(Boolean visible) {
        doAction(OWLObjectPropertyHelper.getShownObjectProperties().toArray(), visible);
    }

    protected void doAdditionalAction(Boolean visible) {
        if (visible) {
            parent.getGeneralizationsCheckbox().doAction();
        }
    }

}