package lv.lu.protege.owl2uml.util;

import lv.lu.owljgraph.edge.OWLEdge;
import lv.lu.owljgraph.vertex.OWLVertexCell;

import org.jgraph.graph.DefaultGraphCell;

public class OWLGraphUtils {
    
    public static String getId(DefaultGraphCell cell) {
        if (cell instanceof OWLVertexCell) {
            return OWLVertexUtils.getId((OWLVertexCell) cell);
        } else {
            return OWLEdgeUtils.getId((OWLEdge) cell);
        }
    }
    
    public static Integer getHashCode(DefaultGraphCell cell) {
        if (cell instanceof OWLVertexCell) {
            return OWLVertexUtils.getHashCode((OWLVertexCell) cell);
        } else {
            return OWLEdgeUtils.getHashCode((OWLEdge) cell);
        }
    }

}
